## goldencheetah 2.0.0

=== doc/Makefile ===

CONTENT=$(wildcard *.content)
HTML=$(subst .content,.html,$(CONTENT))
TARBALLS=$(wildcard gc_*.tgz)
OTHER=logo.jpg sample.gp sample.png cpint.gp cpint.png \
	critical-power-plot.png histogram-analysis.png pf-pv-plot.png \
	ride-plot.png ride-summary.png weekly-summary.png \
	choose-a-cyclist.png main-window.png critical-power.png \
	power.zones cyclist-info.png


all: $(HTML)
.PHONY: all clean install

clean:
	rm -f $(HTML)

install:
	rsync -avz -e ssh $(HTML) $(TARBALLS) $(OTHER) \
		srhea.net:/home/srhea/wwwroot/goldencheetah.org/

bug-tracker.html: bug-tracker.content genpage.pl
	./genpage.pl "Bug Tracker" $< > $@

command-line.html: command-line.content genpage.pl
	./genpage.pl "Legacy Command-Line Tools" $< > $@

contact.html: contact.content genpage.pl
	./genpage.pl "Contact Us" $< > $@

contrib.html: contrib.content genpage.pl
	./genpage.pl "Contributors" $< > $@

developers-guide.html: developers-guide.content genpage.pl
	./genpage.pl "Developer's Guide" $< > $@

older-releases.html: older-releases.content genpage.pl
	./genpage.pl "Older Releases" $< > $@

download.html: download.content genpage.pl
	./genpage.pl "Download" $< > $@

release-notes.html: release-notes.content genpage.pl
	./genpage.pl "Release Notes" $< > $@

faq.html: faq.content genpage.pl
	./genpage.pl "Frequently Asked Questions" $< > $@

index.html: index.content genpage.pl
	./genpage.pl "Introduction" $< > $@

license.html: license.content genpage.pl
	./genpage.pl "License" $< > $@

mailing-list.html: mailing-list.content genpage.pl
	./genpage.pl "Mailing Lists" $< > $@

screenshots.html: screenshots.content genpage.pl
	./genpage.pl "Screenshots" $< > $@

search.html: search.content genpage.pl
	./genpage.pl "Search" $< > $@

users-guide.html: users-guide.content genpage.pl
	./genpage.pl "User's Guide" $< > $@

wishlist.html: wishlist.content genpage.pl
	./genpage.pl "Wish List" $< > $@

zones.html: zones.content genpage.pl
	./genpage.pl "Power Zones File Guide" $< > $@

=== debian/changelog ===
goldencheetah (2.0.0-3ubuntu2) oneiric; urgency=low

  * shared-liboauth: new patch, fixes FTBFS due to changed location of
    liboauth (LP: #831278).

 -- Ilya Barygin <barygin@gmail.com>  Fri, 02 Sep 2011 20:57:33 +0400

goldencheetah (2.0.0-3ubuntu1) oneiric; urgency=low

  * libs-order: new patch, corrects order of libraries during linker call,
    fixing FTBFS. 

 -- Ilya Barygin <barygin@gmail.com>  Sat, 04 Jun 2011 15:51:09 +0400

goldencheetah (2.0.0-3) unstable; urgency=low

  * new patch to fix FTBFS of kFreeBSD. (Closes: #625964)
  * debian/control: DM-Upload-Allowed.
  * change -L to -l for nss library reference.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 28 May 2011 23:09:54 +0900

goldencheetah (2.0.0-2) unstable; urgency=low

  * debian/rules: null override dh_auto_install. (Closes: #625473)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 07 May 2011 16:25:28 +0900

goldencheetah (2.0.0-1) unstable; urgency=low

  [ KURASHIKI Satoru ]
  * Initial release (Closes: #607721)

  [ Tatsuya Kinoshita ]
  * debian/copyright: Switch to the DEP-5 format.
  * debian/docs: Removed.
  * debian/control:
    - Remove Vcs-* fields.
    - Update Standards-Version to 3.9.2.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 29 Apr 2011 16:37:36 +0900

=== debian/control ===
Source: goldencheetah
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Uploaders: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libqt4-opengl-dev, libboost-dev, libqwtplot3d-qt4-dev, libkml-dev, liboauth-dev, libcurl4-nss-dev, zlib1g-dev, libgcrypt-dev, libqtwebkit-dev, libnss3-1d
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Homepage: http://goldencheetah.org/

Package: goldencheetah
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
Description: set of analysis tools for cycling performance
 GoldenCheetah is a software package that:
  * Downloads ride data directly from the CycleOps PowerTap and
   the SRM PowerControl V. Support for SRM PowerControl VI and VII
   is planned for the future.
  * Imports ride data downloaded with other programs, including
   TrainingPeaks WKO+ and the manufacturers' software for the Ergomo,
   Garmin, Polar, PowerTap, and SRM devices.
  * Provides a rich set of analysis tools, including a critical power graph,
   BikeScore calculation, histogram analysis, a best interval finder, and
   a pedal force versus pedal velocity chart, to name just a few.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install:

override_dh_installdocs:
	dh_installdocs
	mkdir -p $(CURDIR)/debian/goldencheetah/usr/share/doc/goldencheetah/html
	cd doc && make && cp *.html *.png $(CURDIR)/debian/goldencheetah/usr/share/doc/goldencheetah/html

override_dh_auto_clean:
	[ ! -f Makefile ] || make distclean
	-cd doc && make clean
	rm -f qwt/designer/plugins/designer/libqwt_designer_plugin.so
	rm -f qwt/lib/libqwt.a #qwt/qwtconfig.pri src/gcconfig.pri

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
http://www.goldencheetah.org/download.html GoldenCheetah_(\d.\d.\d)_Linux_x86\.gz

## goldencheetah 2.1

=== doc/Makefile ===
--- 
+++ 
@@ -2,12 +2,16 @@
 CONTENT=$(wildcard *.content)
 HTML=$(subst .content,.html,$(CONTENT))
 TARBALLS=$(wildcard gc_*.tgz)
-OTHER=logo.jpg sample.gp sample.png cpint.gp cpint.png \
-	critical-power-plot.png histogram-analysis.png pf-pv-plot.png \
-	ride-plot.png ride-summary.png weekly-summary.png \
-	choose-a-cyclist.png main-window.png critical-power.png \
-	power.zones cyclist-info.png
+OTHER= 3d.png choose-a-cyclist.png cpint.gp cpint.png critical-power-plot.png critical-power.png \
+       cyclist-info.png editor.png gui-preview.png histogram-analysis.png logo.jpg logo.png \
+       main-window.png map.png metrics-power.png metrics-timedist.png metrics-tiz.png pf-pv-plot.png \
+       pm.png power.zones realtime.png ride-plot.png ride-plot2.png ride-summary.png sample.gp \
+       sample.png weekly-summary.png google-earth.png aerolab.png
 
+BIN=    GoldenCheetah_2.0.0_Linux_x86_64.gz \
+        GoldenCheetah_2.0.0_Linux_x86.gz \
+        GoldenCheetah_2.0.0_Mac_Universal.dmg \
+        GoldenCheetah_2.0.0_Windows_Installer.exe
 
 all: $(HTML)
 .PHONY: all clean install
@@ -17,6 +21,10 @@
 
 install:
 	rsync -avz -e ssh $(HTML) $(TARBALLS) $(OTHER) \
+		liversedge@srhea.net:/home/srhea/wwwroot/goldencheetah.org/
+
+install-bin:
+	rsync -avz -e ssh $(BIN) \
 		srhea.net:/home/srhea/wwwroot/goldencheetah.org/
 
 bug-tracker.html: bug-tracker.content genpage.pl

=== debian/changelog ===
goldencheetah (2.1-4) unstable; urgency=low

  * enable hardening build flags.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 18 Jun 2012 20:27:50 +0900

goldencheetah (2.1-3) unstable; urgency=low

  * fix linker option for qwt3d.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sun, 08 Apr 2012 13:19:37 +0900

goldencheetah (2.1-2) unstable; urgency=low

  * Add .desktop file. (contributed by Hajime MIZUNO <mizuno-as@ubuntu.com>)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 28 Mar 2012 20:10:21 +0900

goldencheetah (2.1-1) unstable; urgency=low

  * New upstream release.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 14 Mar 2012 20:24:44 +0900

goldencheetah (2.0.0-4) unstable; urgency=low

  * debian/patches/build: change library reference.
    Original patches from Ilya Barygin. (Closes: #631695)
    - fix ld-as-needed issue.
    - refers liboauth shared library.
  * Add Vcs-* fields.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 10 Nov 2011 20:37:06 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: goldencheetah
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
+Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libqt4-opengl-dev, libboost-dev, libqwtplot3d-qt4-dev, libkml-dev, liboauth-dev, libcurl4-nss-dev, zlib1g-dev, libgcrypt-dev, libqtwebkit-dev, libnss3-1d
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), libqt4-opengl-dev, libboost-dev, libqwtplot3d-qt4-dev, libkml-dev, liboauth-dev, libcurl4-nss-dev, zlib1g-dev, libgcrypt-dev, libqtwebkit-dev, libnss3-1d, bison, flex, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
+Vcs-Git: git://anonscm.debian.org/collab-maint/goldencheetah.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/goldencheetah.git;a=summary
 Homepage: http://goldencheetah.org/
 
 Package: goldencheetah

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ 
@@ -20,8 +24,10 @@
 	cd doc && make && cp *.html *.png $(CURDIR)/debian/goldencheetah/usr/share/doc/goldencheetah/html
 
 override_dh_auto_clean:
-	[ ! -f Makefile ] || make distclean
+	qmake || make distclean
+	-cd qwt && qmake && make distclean
 	-cd doc && make clean
 	rm -f qwt/designer/plugins/designer/libqwt_designer_plugin.so
 	rm -f qwt/lib/libqwt.a #qwt/qwtconfig.pri src/gcconfig.pri
+	dh_auto_clean

=== debian/watch ===
version=3

http://githubredir.debian.net/github/srhea/GoldenCheetah /v(\d.*\.\d).tar.gz

## goldencheetah 3.0

=== doc/web/Makefile ===

CONTENT=$(wildcard *.content)
HTML=$(subst .content,.html,$(CONTENT))
TARBALLS=$(wildcard gc_*.tgz)
OTHER= 3d.png choose-a-cyclist.png cpint.gp cpint.png critical-power-plot.png critical-power.png \
       cyclist-info.png editor.png gui-preview.png histogram-analysis.png logo.jpg logo.png \
       main-window.png map.png metrics-power.png metrics-timedist.png metrics-tiz.png pf-pv-plot.png \
       pm.png power.zones realtime.png ride-plot.png ride-plot2.png ride-summary.png sample.gp \
       sample.png weekly-summary.png google-earth.png aerolab.png

BIN=    GoldenCheetah_2.1.0_Linux_x86_64.tgz \
        GoldenCheetah_2.1.0_Linux_x86.tgz \
        GoldenCheetah_2.1.0_Mac_Universal.dmg \
        GoldenCheetah_2.1.0_Windows_Installer.exe

all: $(HTML)
.PHONY: all clean install

clean:
	rm -f $(HTML)

install:
	rsync -avz -e ssh $(HTML) $(TARBALLS) $(OTHER) \
		goldencheetah.org:/home/srhea/wwwroot/goldencheetah.org/

install-bin:
	rsync -avz -e ssh $(BIN) \
		goldencheetah.org:/home/srhea/wwwroot/goldencheetah.org/

bug-tracker.html: bug-tracker.content genpage.pl
	./genpage.pl "Bug Tracker" $< > $@

command-line.html: command-line.content genpage.pl
	./genpage.pl "Legacy Command-Line Tools" $< > $@

contact.html: contact.content genpage.pl
	./genpage.pl "Contact Us" $< > $@

contrib.html: contrib.content genpage.pl
	./genpage.pl "Contributors" $< > $@

developers-guide.html: developers-guide.content genpage.pl
	./genpage.pl "Developer's Guide" $< > $@

older-releases.html: older-releases.content genpage.pl
	./genpage.pl "Older Releases" $< > $@

download.html: download.content genpage.pl
	./genpage.pl "Download" $< > $@

release-notes.html: release-notes.content genpage.pl
	./genpage.pl "Release Notes" $< > $@

faq.html: faq.content genpage.pl
	./genpage.pl "Frequently Asked Questions" $< > $@

index.html: index.content genpage.pl
	./genpage.pl "Introduction" $< > $@

license.html: license.content genpage.pl
	./genpage.pl "License" $< > $@

mailing-list.html: mailing-list.content genpage.pl
	./genpage.pl "Mailing Lists" $< > $@

screenshots.html: screenshots.content genpage.pl
	./genpage.pl "Screenshots" $< > $@

search.html: search.content genpage.pl
	./genpage.pl "Search" $< > $@

users-guide.html: users-guide.content genpage.pl
	./genpage.pl "User's Guide" $< > $@

wiki.html: wiki.content genpage.pl
	./genpage.pl "Wiki" $< > $@

wishlist.html: wishlist.content genpage.pl
	./genpage.pl "Wish List" $< > $@

zones.html: zones.content genpage.pl
	./genpage.pl "Power Zones File Guide" $< > $@

=== debian/changelog ===
goldencheetah (3.0-3) unstable; urgency=low

  * debian/control: remove needless dependency. (Closes: #719571)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sun, 18 Aug 2013 07:02:45 +0900

goldencheetah (3.0-2) unstable; urgency=low

  * debian/watch: switch from githubredir. (Closes: #711723)
  * fix build with clucene 2.x: set multiarch include dir and use
    -lclucene-core instead of -lclucene. (Closes: #718371)
    (patch from Rene Engelhard <rene@debian.org>)
  * boost1.54 transition.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 01 Aug 2013 08:45:55 +0900

goldencheetah (3.0-1) unstable; urgency=low

  * New upstream release.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 07 Jun 2013 20:09:30 +0900

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libqt4-opengl-dev, libboost-dev, libqwtplot3d-qt4-dev, libkml-dev, liboauth-dev, libcurl4-nss-dev, zlib1g-dev, libgcrypt-dev, libqtwebkit-dev, libnss3-1d, bison, flex, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 9.0.0), libqt4-opengl-dev, libboost1.54-dev, libqwtplot3d-qt4-dev, libkml-dev, liboauth-dev, libcurl4-nss-dev, zlib1g-dev, libgcrypt-dev, libqtwebkit-dev, libnss3-1d, bison, flex, dpkg-dev (>= 1.16.1~), libical-dev, libvlc-dev, libvlccore-dev, libclucene-dev, qt4-qmake, libexpat1-dev, texinfo, texlive, texlive-latex-base, texlive-fonts-recommended, texlive-generic-recommended, qt4-linguist-tools
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/collab-maint/goldencheetah.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/goldencheetah.git;a=summary
 Homepage: http://goldencheetah.org/
 
 Package: goldencheetah
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: set of analysis tools for cycling performance
  GoldenCheetah is a software package that:
   * Downloads ride data directly from the CycleOps PowerTap and

=== debian/rules ===
--- 
+++ 
@@ -14,20 +14,22 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ 
+	dh $@ --parallel
+
+override_dh_auto_configure:
+	cp $(CURDIR)/debian/gcconfig.pri $(CURDIR)/src/
+	cp $(CURDIR)/debian/qwtconfig.pri $(CURDIR)/qwt/
+	dh_auto_configure
 
 override_dh_auto_install:
 
 override_dh_installdocs:
 	dh_installdocs
 	mkdir -p $(CURDIR)/debian/goldencheetah/usr/share/doc/goldencheetah/html
-	cd doc && make && cp *.html *.png $(CURDIR)/debian/goldencheetah/usr/share/doc/goldencheetah/html
+	cd doc/user && make clean && make && cp *.pdf $(CURDIR)/debian/goldencheetah/usr/share/doc/goldencheetah
+	cd doc/web && make && cp *.html *.png *.jpg *.gp *.zones $(CURDIR)/debian/goldencheetah/usr/share/doc/goldencheetah/html
 
 override_dh_auto_clean:
-	qmake || make distclean
-	-cd qwt && qmake && make distclean
-	-cd doc && make clean
-	rm -f qwt/designer/plugins/designer/libqwt_designer_plugin.so
-	rm -f qwt/lib/libqwt.a #qwt/qwtconfig.pri src/gcconfig.pri
+	rm -rf qwt/lib qwt/qwtconfig.pri src/gcconfig.pri
 	dh_auto_clean

## goldencheetah 3.0.1

=== doc/user/Makefile ===
# 
# Generate documentation files from the source .texinfo
#

all: FAQ RELEASE MANUAL
	rm -f *.aux *.cp *.cps *.fn *.ky *.log *.pg *.toc *.tp *.vr

clean:
	rm -f GC3-Manual.pdf GC3-FAQ.pdf GC3-FAQ.html \
    GC3-FAQ.info GC3-Release.pdf GC3-Release.html GC3-Release.info 
	rm -f *.aux *.cp *.cps *.fn *.ky *.log *.pg *.toc *.tp *.vr

MANUAL: GC3-Manual.pdf 
FAQ: GC3-FAQ.pdf GC3-FAQ.info
RELEASE: GC3-Release.pdf GC3-Release.info

## The basic commands, good on Linux/Mac
## need mingw on Windows
TEXI2PDF    = texi2pdf
TEXI2HTML   = texi2html
MAKEINFO    = makeinfo

.SUFFIXES: .pdf .texinfo .info .html

.texinfo.info:
	${MAKEINFO} $< -o $@ >/dev/null 2>&1

.texinfo.pdf:
	${TEXI2PDF} -I ../contrib $< -o $@  >/dev/null 2>&1

.texinfo.html:
	${TEXI2HTML} $< -o $@ >/dev/null 2>&1

=== doc/web/Makefile ===
--- 
+++ 
@@ -8,10 +8,9 @@
        pm.png power.zones realtime.png ride-plot.png ride-plot2.png ride-summary.png sample.gp \
        sample.png weekly-summary.png google-earth.png aerolab.png
 
-BIN=    GoldenCheetah_2.1.0_Linux_x86_64.tgz \
-        GoldenCheetah_2.1.0_Linux_x86.tgz \
-        GoldenCheetah_2.1.0_Mac_Universal.dmg \
-        GoldenCheetah_2.1.0_Windows_Installer.exe
+BIN=    GoldenCheetah_3.0.0_Mac_32bit.dmg \
+        GoldenCheetah_3.0.0_Mac_64bit.dmg \
+        GoldenCheetah_3.0.0_Windows_Installer.exe
 
 all: $(HTML)
 .PHONY: all clean install
@@ -51,6 +50,9 @@
 release-notes.html: release-notes.content genpage.pl
 	./genpage.pl "Release Notes" $< > $@
 
+release-notes_2.1.0.html: release-notes_2.1.0.content genpage.pl
+	./genpage.pl "Release Notes 2.1.0" $< > $@
+
 faq.html: faq.content genpage.pl
 	./genpage.pl "Frequently Asked Questions" $< > $@

=== debian/changelog ===
goldencheetah (3.0.1-2ubuntu1) trusty; urgency=medium

  * Prefer libgcrypt11-dev to unconfuse the sbuild resolver.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 15 Mar 2014 00:20:48 -0600

goldencheetah (3.0.1-2) unstable; urgency=low

  * Patch uncompressed jquery source. (Closes: #736435)
  * Enable libusb support.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 14 Feb 2014 06:04:46 +0900

goldencheetah (3.0.1-1) unstable; urgency=low

  * New upstream release.
    Use dirstributed tarball to build. (Closes: #711722)
  * New Standards-Version: 3.9.5
  * remove qwt-format patch (merged at upstream).

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 25 Dec 2013 10:30:44 +0900

goldencheetah (3.0-4) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fix FTBFS when static libraries are moved from /usr/lib/libfoo.a to
    /usr/lib/<triplet>/libfoo.a: post-process src/src.pro after the
    configuration step to replace the former if it doesn't exist with
    the latter if it does exist. (Closes: #728351)

  [ KURASHIKI Satoru ]
  * debian/control: Revert hardcoded libboost-dev version. (Closes: #720425)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 31 Oct 2013 20:07:31 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: goldencheetah
 Section: misc
 Priority: optional
-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libqt4-opengl-dev, libboost1.54-dev, libqwtplot3d-qt4-dev, libkml-dev, liboauth-dev, libcurl4-nss-dev, zlib1g-dev, libgcrypt-dev, libqtwebkit-dev, libnss3-1d, bison, flex, dpkg-dev (>= 1.16.1~), libical-dev, libvlc-dev, libvlccore-dev, libclucene-dev, qt4-qmake, libexpat1-dev, texinfo, texlive, texlive-latex-base, texlive-fonts-recommended, texlive-generic-recommended, qt4-linguist-tools
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9.0.0), libqt4-opengl-dev, libboost-dev, libqwtplot3d-qt4-dev, libkml-dev, liboauth-dev, libcurl4-nss-dev, zlib1g-dev, libgcrypt11-dev | libgcrypt-dev, libqtwebkit-dev, libnss3-1d, bison, flex, dpkg-dev (>= 1.16.1~), libical-dev, libvlc-dev, libvlccore-dev, libclucene-dev, qt4-qmake, libexpat1-dev, texinfo, texlive, texlive-latex-base, texlive-fonts-recommended, texlive-generic-recommended, qt4-linguist-tools, libusb-dev
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/goldencheetah.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/goldencheetah.git;a=summary
 Homepage: http://goldencheetah.org/

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,17 @@
 	cp $(CURDIR)/debian/gcconfig.pri $(CURDIR)/src/
 	cp $(CURDIR)/debian/qwtconfig.pri $(CURDIR)/qwt/
 	dh_auto_configure
+	# Switch static libraries to multiarch paths where relevant (#728351):
+	cp src/src.pro src/src.pro.orig
+	for staticlib in $$(grep -o '/lib/[^/]\+\.a' src/src.pro); do \
+		libname=$$(echo $$staticlib|sed 's,.*/,,'); \
+		if [ ! -e /usr/lib/$$libname ]; then \
+			if [ -e /usr/lib/$(DEB_HOST_MULTIARCH)/$$libname ]; then \
+				echo "Switching to multiarch path for library: $$libname"; \
+				sed -i "s,$$staticlib,/lib/$(DEB_HOST_MULTIARCH)/$$libname," src/src.pro; \
+			fi; \
+		fi; \
+	done
 
 override_dh_auto_install:
 
@@ -31,5 +42,6 @@
 
 override_dh_auto_clean:
 	rm -rf qwt/lib qwt/qwtconfig.pri src/gcconfig.pri
+	-mv src/src.pro.orig src/src.pro
 	dh_auto_clean

## goldencheetah 3.0.2

=== debian/changelog ===
goldencheetah (3.0.2-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build depend on libgcrypt11-dev as libgcrypt is not present.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 13 May 2014 22:16:58 +0530

goldencheetah (3.0.2-1) unstable; urgency=low

  * New upstream release.
  * Now depends on: libqt4-sql-sqlite.
  * Drop libusb support options on kfreebsd.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 04 Mar 2014 11:26:33 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: goldencheetah
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
 Description: set of analysis tools for cycling performance
  GoldenCheetah is a software package that:
   * Downloads ride data directly from the CycleOps PowerTap and

## goldencheetah 3.1.0

=== debian/changelog ===
goldencheetah (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix libusb patch to enable on linux.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 19 Aug 2014 08:51:15 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: goldencheetah
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
+Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libqt4-opengl-dev, libboost-dev, libqwtplot3d-qt4-dev, libkml-dev, liboauth-dev, libcurl4-nss-dev, zlib1g-dev, libgcrypt11-dev | libgcrypt-dev, libqtwebkit-dev, libnss3-1d, bison, flex, dpkg-dev (>= 1.16.1~), libical-dev, libvlc-dev, libvlccore-dev, libclucene-dev, qt4-qmake, libexpat1-dev, texinfo, texlive, texlive-latex-base, texlive-fonts-recommended, texlive-generic-recommended, qt4-linguist-tools, libusb-dev
+Build-Depends: debhelper (>= 9.0.0), libqt4-opengl-dev, libboost-dev, libqwtplot3d-qt4-dev, libkml-dev, liboauth-dev, libcurl4-nss-dev, zlib1g-dev, libgcrypt-dev, libqtwebkit-dev, libnss3-1d, bison, flex, dpkg-dev (>= 1.16.1~), libical-dev, libvlc-dev, libvlccore-dev, libclucene-dev, qt4-qmake, libexpat1-dev, texinfo, texlive, texlive-latex-base, texlive-fonts-recommended, texlive-generic-recommended, qt4-linguist-tools, libusb-dev
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/goldencheetah.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/goldencheetah.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -19,6 +20,9 @@
 override_dh_auto_configure:
 	cp $(CURDIR)/debian/gcconfig.pri $(CURDIR)/src/
 	cp $(CURDIR)/debian/qwtconfig.pri $(CURDIR)/qwt/
+ifeq ($(findstring kfreebsd,$(DEB_BUILD_ARCH)),kfreebsd)
+	sed -i "s,^LIBUSB,#LIBUSB," $(CURDIR)/src/gcconfig.pri
+endif
 	dh_auto_configure
 	# Switch static libraries to multiarch paths where relevant (#728351):
 	cp src/src.pro src/src.pro.orig

## goldencheetah 3.2.0

=== debian/changelog ===
goldencheetah (3.2.0-1+rpi1) stretch-staging; urgency=medium

  * Change build-dependency from libnss3-1d to libnss3
  * Build with gcc/g++ 5
  * Fix clean target
  * Add flex version check fix backported from 3.3.0-2 by KURASHIKI Satoru
  * Use the dynamic libical, the static one seems to be causing dependency issues.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 23 Oct 2018 05:17:11 +0000

goldencheetah (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * New Standards-Version: 3.9.6
  * install udev rules for Garmin usb device to allow user's access.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 12 Aug 2015 23:48:35 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libqt4-opengl-dev, libboost-dev, libqwtplot3d-qt4-dev, libkml-dev, liboauth-dev, libcurl4-nss-dev, zlib1g-dev, libgcrypt-dev, libqtwebkit-dev, libnss3-1d, bison, flex, dpkg-dev (>= 1.16.1~), libical-dev, libvlc-dev, libvlccore-dev, libclucene-dev, qt4-qmake, libexpat1-dev, texinfo, texlive, texlive-latex-base, texlive-fonts-recommended, texlive-generic-recommended, qt4-linguist-tools, libusb-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9.0.0), libqt4-opengl-dev, libboost-dev, libqwtplot3d-qt4-dev, libkml-dev, liboauth-dev, libcurl4-nss-dev, zlib1g-dev, libgcrypt-dev, libqtwebkit-dev, libnss3, bison, flex, dpkg-dev (>= 1.16.1~), libical-dev, libvlc-dev, libvlccore-dev, libclucene-dev, qt4-qmake, libexpat1-dev, texinfo, texlive, texlive-latex-base, texlive-fonts-recommended, texlive-generic-recommended, qt4-linguist-tools, libusb-dev, gcc-5, g++-5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/goldencheetah.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/goldencheetah.git;a=summary
 Homepage: http://goldencheetah.org/

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,12 @@
 %:
 	dh $@ --parallel
 
+export PATH:=$(CURDIR)/gccbin:$(PATH)
+
 override_dh_auto_configure:
+	mkdir gccbin
+	ln -s /usr/bin/gcc-5 gccbin/gcc
+	ln -s /usr/bin/g++-5 gccbin/g++
 	cp $(CURDIR)/debian/gcconfig.pri $(CURDIR)/src/
 	cp $(CURDIR)/debian/qwtconfig.pri $(CURDIR)/qwt/
 ifeq ($(findstring kfreebsd,$(DEB_BUILD_ARCH)),kfreebsd)
@@ -36,6 +41,7 @@
 		fi; \
 	done
 
+
 override_dh_auto_install:
 
 override_dh_installdocs:
@@ -48,4 +54,7 @@
 	rm -rf qwt/lib qwt/qwtconfig.pri src/gcconfig.pri
 	-mv src/src.pro.orig src/src.pro
 	dh_auto_clean
-
+	rm -f `find . -name '*.o'`
+	rm -rf qwt/src/moc
+	rm -f src/moc*
+	rm -rf gccbin

## goldencheetah 3.3.0

=== debian/changelog ===
goldencheetah (3.3.0-2) unstable; urgency=medium

  * Fix FTBFS misjudged flex version check (Closes: #818418)
  * Update package description. (Closes: #789172)
    - relocate its order of features.
    - update README.Debian to show libkml support.
  * Drop architecture support for armel and armhf.
    - cf. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=816387

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 17 Mar 2016 20:21:04 +0900

goldencheetah (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build parameters.
  * Drop needless dependencies. (upstream switched).
    - liboauth
    - libclucene

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 30 Nov 2015 10:18:48 +0900

goldencheetah (3.2.0-2) unstable; urgency=medium

  * Migrate from Qt4 to Qt5. (Closes: #784467)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 15 Oct 2015 20:31:32 +0900

=== debian/control ===
Source: goldencheetah
Section: misc
Priority: optional
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Uploaders: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 9.0.0) , dpkg-dev (>= 1.16.1~)
 , bison
 , flex
 , libboost-dev
 , libcurl4-nss-dev
 , zlib1g-dev
 , libgcrypt-dev
 , libnss3-1d
 , qtbase5-dev
 , qt5-qmake
 , qttools5-dev-tools
 , libqt5serialport5-dev
 , libqt5opengl5-dev
 , libqt5webkit5-dev, libqt5widgets5, libqt5concurrent5
 , libqwtplot3d-qt5-dev [!armel !armhf]
 , libqt5svg5-dev
 , qtmultimedia5-dev
 , qtscript5-dev
 , libexpat1-dev
 , libkml-dev
 , libical-dev
 , libusb-dev
 , libvlc-dev
 , libvlccore-dev
 , libssl-dev
 , texinfo
 , texlive
 , texlive-latex-base
 , texlive-fonts-recommended
 , texlive-generic-recommended
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/goldencheetah.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/goldencheetah.git;a=summary
Homepage: http://goldencheetah.org/

Package: goldencheetah
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite
Description: set of analysis tools for cycling performance
 GoldenCheetah is a software package that:
  * Provides a rich set of analysis tools, including a critical power graph,
   BikeScore calculation, histogram analysis, a best interval finder, and
   a pedal force versus pedal velocity chart, to name just a few.
  * Downloads ride data directly from supported devices.
  * Imports ride data downloaded with other programs, including
   TrainingPeaks WKO+ and the manufacturers' software for the Ergomo,
   Garmin, Polar, PowerTap, and SRM devices.

=== debian/rules ===
--- 
+++ 
@@ -14,15 +14,12 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+export QT_SELECT=qt5
+
 %:
 	dh $@ --parallel
 
-export PATH:=$(CURDIR)/gccbin:$(PATH)
-
 override_dh_auto_configure:
-	mkdir gccbin
-	ln -s /usr/bin/gcc-5 gccbin/gcc
-	ln -s /usr/bin/g++-5 gccbin/g++
 	cp $(CURDIR)/debian/gcconfig.pri $(CURDIR)/src/
 	cp $(CURDIR)/debian/qwtconfig.pri $(CURDIR)/qwt/
 ifeq ($(findstring kfreebsd,$(DEB_BUILD_ARCH)),kfreebsd)
@@ -41,7 +38,6 @@
 		fi; \
 	done
 
-
 override_dh_auto_install:
 
 override_dh_installdocs:
@@ -54,7 +50,4 @@
 	rm -rf qwt/lib qwt/qwtconfig.pri src/gcconfig.pri
 	-mv src/src.pro.orig src/src.pro
 	dh_auto_clean
-	rm -f `find . -name '*.o'`
-	rm -rf qwt/src/moc
-	rm -f src/moc*
-	rm -rf gccbin
+

## goldencheetah 3.5~DEV1710

=== doc/user/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 MANUAL: GC3-Manual.pdf 
 FAQ: GC3-FAQ.pdf GC3-FAQ.info
-RELEASE: GC3-Release.pdf GC3-Release.info
+RELEASE: GC3-Release.pdf GC3-Release.info GC31-Release.pdf GC31-Release.info
 
 ## The basic commands, good on Linux/Mac
 ## need mingw on Windows

=== debian/changelog ===
goldencheetah (1:3.5~DEV1710-1.1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:50:16 +0000

goldencheetah (1:3.5~DEV1710-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with libical3. Closes: #883953.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Dec 2017 12:42:17 +0100

goldencheetah (1:3.5~DEV1710-1) unstable; urgency=medium

  * increment epoch due to rewind upstream branch.
  * New Standards-Version: 4.1.1

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 11 Nov 2017 15:09:49 +0900

goldencheetah (4.0.0~DEV1607-2) unstable; urgency=medium

  * Fix FTBFS renaming Build-Depends package. (Closes: #835769)
  * Workaround for qmake include option issue.
    - https://github.com/GoldenCheetah/GoldenCheetah/issues/1973
    - https://bugreports.qt.io/browse/QTBUG-53367

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 28 Oct 2016 00:54:06 +0900

goldencheetah (4.0.0~DEV1607-1) unstable; urgency=medium

  * New upstream dev release. (Closes: #811867)
  * update udev rules for Garmin usb device.
  * Now depends on qtconnectivity5-dev to support BT dongles.
  * update patches:
    - apply source relocation.
    - drop cherry-picked tweak-flex-version-check.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 13 Jul 2016 09:04:26 +0900

goldencheetah (3.3.0-3) unstable; urgency=medium

  * Fix FTBFS reverting armel/armhf exclusion. (Closes: #823091)
  * New Standards-Version: 3.9.8

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 13 May 2016 09:54:23 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: goldencheetah
 Section: misc
 Priority: optional
-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 9.0.0) , dpkg-dev (>= 1.16.1~)
  , bison
@@ -10,17 +11,19 @@
  , libcurl4-nss-dev
  , zlib1g-dev
  , libgcrypt-dev
- , libnss3-1d
+ , libnss3
  , qtbase5-dev
  , qt5-qmake
  , qttools5-dev-tools
  , libqt5serialport5-dev
  , libqt5opengl5-dev
  , libqt5webkit5-dev, libqt5widgets5, libqt5concurrent5
- , libqwtplot3d-qt5-dev [!armel !armhf]
+ , libqwtplot3d-qt5-dev
  , libqt5svg5-dev
+ , libqt5charts5-dev
  , qtmultimedia5-dev
  , qtscript5-dev
+ , qtconnectivity5-dev
  , libexpat1-dev
  , libkml-dev
  , libical-dev
@@ -33,9 +36,9 @@
  , texlive-latex-base
  , texlive-fonts-recommended
  , texlive-generic-recommended
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/goldencheetah.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/goldencheetah.git;a=summary
+Standards-Version: 4.1.1
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/goldencheetah.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/goldencheetah.git
 Homepage: http://goldencheetah.org/
 
 Package: goldencheetah

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 ifeq ($(findstring kfreebsd,$(DEB_BUILD_ARCH)),kfreebsd)
 	sed -i "s,^LIBUSB,#LIBUSB," $(CURDIR)/src/gcconfig.pri
 endif
-	dh_auto_configure
+	dh_auto_configure -- -r QMAKE_DEFAULT_INCDIRS=
 	# Switch static libraries to multiarch paths where relevant (#728351):
 	cp src/src.pro src/src.pro.orig
 	for staticlib in $$(grep -o '/lib/[^/]\+\.a' src/src.pro); do \

=== debian/watch ===
version=3
opts="uversionmangle=s/[-_]?(RC|PRE|ALPHA|BETA)/~$1/" \
https://github.com/GoldenCheetah/GoldenCheetah/tags .*/archive/v(\d.*)\.tar\.gz debian uupdate

## goldencheetah 3.5~DEV1810

=== debian/changelog ===
goldencheetah (1:3.5~DEV1810-1) unstable; urgency=medium

  [ KURASHIKI Satoru ]
  * New upstream release.

  [ Hideki Yamane ]
  * New Standards-Version: 4.3.0

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 05 Jan 2019 13:30:31 +0900

goldencheetah (1:3.5~DEV1710-2) UNRELEASED; urgency=medium

  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 10:23:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: goldencheetah
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
+Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Uploaders: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 9.0.0) , dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 12), debhelper-compat (= 12), dpkg-dev (>= 1.16.1~)
  , bison
  , flex
  , libboost-dev
@@ -36,10 +35,10 @@
  , texlive-latex-base
  , texlive-fonts-recommended
  , texlive-generic-recommended
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/goldencheetah.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/goldencheetah.git
-Homepage: http://goldencheetah.org/
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/debian/goldencheetah.git
+Vcs-Browser: https://salsa.debian.org/debian/goldencheetah
+Homepage: https://www.goldencheetah.org/
 
 Package: goldencheetah
 Architecture: any

=== debian/watch ===
version=4
opts="uversionmangle=s/[-_]?(RC|PRE|ALPHA|BETA)/~$1/" \
https://github.com/GoldenCheetah/@PACKAGE@/tags .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## goldencheetah 3.5~DEV1903

=== doc/web/Makefile ===
--- 
+++ 
@@ -8,9 +8,10 @@
        pm.png power.zones realtime.png ride-plot.png ride-plot2.png ride-summary.png sample.gp \
        sample.png weekly-summary.png google-earth.png aerolab.png
 
-BIN=    GoldenCheetah_3.0.0_Mac_32bit.dmg \
-        GoldenCheetah_3.0.0_Mac_64bit.dmg \
-        GoldenCheetah_3.0.0_Windows_Installer.exe
+BIN=    GoldenCheetah_3.0.1_Mac_Universal.dmg \
+        GoldenCheetah-3.0.1-1.fc18.x86_64.rpm \
+        GoldenCheetah-3.0.1-1.fc19.x86_64.rpm \
+        GoldenCheetah_3.0.1_Windows_Installer.exe
 
 all: $(HTML)
 .PHONY: all clean install
@@ -53,6 +54,12 @@
 release-notes_2.1.0.html: release-notes_2.1.0.content genpage.pl
 	./genpage.pl "Release Notes 2.1.0" $< > $@
 
+release-notes_3.0.0.html: release-notes_3.0.0.content genpage.pl
+	./genpage.pl "Release Notes 3.0.0" $< > $@
+
+release-notes_3.0.1.html: release-notes_3.0.1.content genpage.pl
+	./genpage.pl "Release Notes 3.0.1" $< > $@
+
 faq.html: faq.content genpage.pl
 	./genpage.pl "Frequently Asked Questions" $< > $@

=== debian/changelog ===
goldencheetah (1:3.5~DEV1903-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:15:16 +0100

goldencheetah (1:3.5~DEV1903-1) unstable; urgency=medium

  * New upstream dev release.
  * New Standards-Version: 4.4.1
  * Update build-dep: texlive-plain-generic. (Closes: #941528)
  * Fix d/watch opts.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 03 Oct 2019 17:35:32 +0900

=== debian/control ===
--- 
+++ 
@@ -34,8 +34,8 @@
  , texlive
  , texlive-latex-base
  , texlive-fonts-recommended
- , texlive-generic-recommended
-Standards-Version: 4.3.0
+ , texlive-plain-generic
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/goldencheetah.git
 Vcs-Browser: https://salsa.debian.org/debian/goldencheetah
 Homepage: https://www.goldencheetah.org/

## goldencheetah 3.5

=== debian/changelog ===
goldencheetah (1:3.5-7) unstable; urgency=medium

  * QA upload.
  * Build with QtWebEngine instead of QtWebKit.

 -- Bastian Germann <bage@debian.org>  Sun, 19 Jan 2025 19:29:07 +0100

goldencheetah (1:3.5-6) unstable; urgency=medium

  * QA upload.
  * Drop superfluous B-D.  (Closes: #1074227)
  * Fix building twice in a row.  (Closes: #1044738)
  * Use the default salsa CI config.
  * Declare Rules-Requires-Root: no.
  * Enable all hardening flags.
  * Make documentation build reproducible.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 30 Jun 2024 01:24:16 +0200

goldencheetah (1:3.5-5) unstable; urgency=medium

  * QA upload.
  * Drop unused build-dependency on libgcrypt-dev. Closes: #1071866

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 May 2024 07:45:49 +0200

goldencheetah (1:3.5-4) unstable; urgency=medium

  * QA upload.
  * Added categories to the XDG desktop entry.  Thanks Appstream checker.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 06 May 2024 23:46:39 +0200

goldencheetah (1:3.5-3) unstable; urgency=medium

  * QA upload.
  * Updated Standards-Version from 4.5.0 to 4.7.0.
  * Added d/gbp.conf to enforce use of pristine-tar.
  * Adjusted d/watch to match current github structure.
  * Removed redundant build dependency on debhelper.
  * Added Appstream metainfo announcing hardware support.
  * Removed now obsolete kqoauth/* entry from d/copyright.
  * Moved to debhelper compat level 13.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Apr 2024 08:53:56 +0200

goldencheetah (1:3.5-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer field to QA Group.
    - Acked by previous maintainer.
      He intends to orphan package, but he does not have his time.
      Thanks to Satoru KURASHIKI <lurdan@gmail.com> for previous works.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 03 Oct 2023 16:31:29 +0900

goldencheetah (1:3.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * switch from libcurl4-nss-dev to libcurl4-openssl-dev (Closes: #1038911)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Sep 2023 00:14:26 +0200

goldencheetah (1:3.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with bison 3.7. (Closes: #966704)
  * Add fix for FTBFS with Qt 5.15.

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 14:29:13 +0200

goldencheetah (1:3.5-1) unstable; urgency=medium

  * New upstream release.
    - fix qt incompatibility. (Closes: #964292)
  * New Standards-Version: 4.5

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 25 Jul 2020 09:03:49 +0900

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: goldencheetah
 Section: misc
 Priority: optional
-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
-Uploaders: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 12), debhelper-compat (= 12), dpkg-dev (>= 1.16.1~)
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~)
  , bison
  , flex
  , libboost-dev
- , libcurl4-nss-dev
+ , libcurl4-openssl-dev
  , zlib1g-dev
- , libgcrypt-dev
  , libnss3
  , qtbase5-dev
  , qt5-qmake
  , qttools5-dev-tools
  , libqt5serialport5-dev
  , libqt5opengl5-dev
- , libqt5webkit5-dev, libqt5widgets5, libqt5concurrent5
+ , qtwebengine5-dev,
  , libqwtplot3d-qt5-dev
  , libqt5svg5-dev
  , libqt5charts5-dev
@@ -35,7 +33,8 @@
  , texlive-latex-base
  , texlive-fonts-recommended
  , texlive-plain-generic
-Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/goldencheetah.git
 Vcs-Browser: https://salsa.debian.org/debian/goldencheetah
 Homepage: https://www.goldencheetah.org/

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure:
	cp $(CURDIR)/debian/gcconfig.pri $(CURDIR)/src/
	cp $(CURDIR)/debian/qwtconfig.pri $(CURDIR)/qwt/
	dh_auto_configure -- -r QMAKE_DEFAULT_INCDIRS=
	# Switch static libraries to multiarch paths where relevant (#728351):
	cp src/src.pro src/src.pro.orig
	for staticlib in $$(grep -o '/lib/[^/]\+\.a' src/src.pro); do \
		libname=$$(echo $$staticlib|sed 's,.*/,,'); \
		if [ ! -e /usr/lib/$$libname ]; then \
			if [ -e /usr/lib/$(DEB_HOST_MULTIARCH)/$$libname ]; then \
				echo "Switching to multiarch path for library: $$libname"; \
				sed -i "s,$$staticlib,/lib/$(DEB_HOST_MULTIARCH)/$$libname," src/src.pro; \
			fi; \
		fi; \
	done

override_dh_auto_install:

execute_after_dh_installdocs:
	mkdir -p $(CURDIR)/debian/goldencheetah/usr/share/doc/goldencheetah/html
	cd doc/user && make clean && make && cp *.pdf $(CURDIR)/debian/goldencheetah/usr/share/doc/goldencheetah
	cd doc/web && make && cp *.html *.png *.jpg *.gp *.zones $(CURDIR)/debian/goldencheetah/usr/share/doc/goldencheetah/html

execute_before_dh_auto_clean:
	rm -rf qwt/lib qwt/qwtconfig.pri src/gcconfig.pri
	$(RM) -r qwt/src/obj/ src/*.o
	$(RM) qwt/src/moc/moc_*.cpp src/moc_*.cpp
	$(RM) doc/user/GC3-*.pdf doc/user/GC3-*.info doc/web/*.html
	-mv src/src.pro.orig src/src.pro

=== debian/watch ===
version=4
opts="uversionmangle=s/[-_]?(DEV)/~$1/" \
https://github.com/GoldenCheetah/@PACKAGE@/tags .*/archive/refs/tags/v@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## goldencheetah 4.0.0~DEV1607

=== debian/changelog ===
goldencheetah (4.0.0~DEV1607-2+mx17+1) mx; urgency=medium

  * Rebuild against vlc-3.0.3.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 May 2018 11:39:30 -0700

goldencheetah (4.0.0~DEV1607-2+deb9u1) stretch-security; urgency=medium

  * debian/patches/dont-link-libvlccore.patch: Do not unnecessarily link
    against libvlccore. (Closes: #884940)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 03 May 2018 21:02:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: goldencheetah
 Section: misc
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~)
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
+Uploaders: Tatsuya Kinoshita <tats@debian.org>
+Build-Depends: debhelper (>= 9.0.0) , dpkg-dev (>= 1.16.1~)
  , bison
  , flex
  , libboost-dev
- , libcurl4-openssl-dev
+ , libcurl4-nss-dev
  , zlib1g-dev
+ , libgcrypt-dev
  , libnss3
  , qtbase5-dev
  , qt5-qmake
  , qttools5-dev-tools
  , libqt5serialport5-dev
  , libqt5opengl5-dev
- , qtwebengine5-dev,
+ , libqt5webkit5-dev, libqt5widgets5, libqt5concurrent5
  , libqwtplot3d-qt5-dev
  , libqt5svg5-dev
- , libqt5charts5-dev
  , qtmultimedia5-dev
  , qtscript5-dev
  , qtconnectivity5-dev
@@ -32,12 +34,11 @@
  , texlive
  , texlive-latex-base
  , texlive-fonts-recommended
- , texlive-plain-generic
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
-Vcs-Git: https://salsa.debian.org/debian/goldencheetah.git
-Vcs-Browser: https://salsa.debian.org/debian/goldencheetah
-Homepage: https://www.goldencheetah.org/
+ , texlive-generic-recommended
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/goldencheetah.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/goldencheetah.git
+Homepage: http://goldencheetah.org/
 
 Package: goldencheetah
 Architecture: any
